# Record TCefContextMenuParams

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefContextMenuParams = record`

## Description

Provides information about the context menu state. The functions of this structure can only be accessed on browser process the UI thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefContextMenuParams.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_context_menu_handler_capi.h">CEF source file: /include/capi/cef_context_menu_handler_capi.h (cef_context_menu_params_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `get_xcoord: function(self: PCefContextMenuParams): Integer; stdcall;`
| `get_ycoord: function(self: PCefContextMenuParams): Integer; stdcall;`
| `get_type_flags: function(self: PCefContextMenuParams): TCefContextMenuTypeFlags; stdcall;`
| `get_link_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `get_unfiltered_link_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `get_source_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `has_image_contents: function(self: PCefContextMenuParams): Integer; stdcall;`
| `get_title_text: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `get_page_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `get_frame_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `get_frame_charset: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `get_media_type: function(self: PCefContextMenuParams): TCefContextMenuMediaType; stdcall;`
| `get_media_state_flags: function(self: PCefContextMenuParams): TCefContextMenuMediaStateFlags; stdcall;`
| `get_selection_text: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `get_misspelled_word: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
| `get_dictionary_suggestions: function(self: PCefContextMenuParams; suggestions: TCefStringList): Integer; stdcall;`
| `is_editable: function(self: PCefContextMenuParams): Integer; stdcall;`
| `is_spell_check_enabled: function(self: PCefContextMenuParams): Integer; stdcall;`
| `get_edit_state_flags: function(self: PCefContextMenuParams): TCefContextMenuEditStateFlags; stdcall;`
| `is_custom_menu: function(self: PCefContextMenuParams): Integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `get_xcoord: function(self: PCefContextMenuParams): Integer; stdcall;`
This item has no description.

| `get_ycoord: function(self: PCefContextMenuParams): Integer; stdcall;`
This item has no description.

| `get_type_flags: function(self: PCefContextMenuParams): TCefContextMenuTypeFlags; stdcall;`
This item has no description.

| `get_link_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `get_unfiltered_link_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `get_source_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `has_image_contents: function(self: PCefContextMenuParams): Integer; stdcall;`
This item has no description.

| `get_title_text: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `get_page_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `get_frame_url: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `get_frame_charset: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `get_media_type: function(self: PCefContextMenuParams): TCefContextMenuMediaType; stdcall;`
This item has no description.

| `get_media_state_flags: function(self: PCefContextMenuParams): TCefContextMenuMediaStateFlags; stdcall;`
This item has no description.

| `get_selection_text: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `get_misspelled_word: function(self: PCefContextMenuParams): PCefStringUserFree; stdcall;`
This item has no description.

| `get_dictionary_suggestions: function(self: PCefContextMenuParams; suggestions: TCefStringList): Integer; stdcall;`
This item has no description.

| `is_editable: function(self: PCefContextMenuParams): Integer; stdcall;`
This item has no description.

| `is_spell_check_enabled: function(self: PCefContextMenuParams): Integer; stdcall;`
This item has no description.

| `get_edit_state_flags: function(self: PCefContextMenuParams): TCefContextMenuEditStateFlags; stdcall;`
This item has no description.

| `is_custom_menu: function(self: PCefContextMenuParams): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.